
class Deck
  def initialize(theme=DeckThemes::RIDER_WAITE)
    @cards = []
    @theme = theme

    card_types = Card.get_card_types
    card_types.each { |card_type|
      @cards << Card.new(card_type, @theme)
    }
  end

  def get_theme
    @theme
  end

  def get_cards
    @cards
  end

end
